org.springframework.data.relational.core.sql

## Interface UpdateBuilder.UpdateWhereAndOr

All Superinterfaces:
  UpdateBuilder.BuildUpdate

Enclosing interface:
  UpdateBuilder

    public static interface UpdateBuilder.UpdateWhereAndOr
    extends UpdateBuilder.BuildUpdate

Interface exposing `AND`/`OR` combinator methods for `WHERE` `Condition`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`UpdateBuilder.UpdateWhereAndOr` `and(Condition condition)` Combine the previous `WHERE` `Condition` using `AND`.
`UpdateBuilder.UpdateWhereAndOr` `or(Condition condition)` Combine the previous `WHERE` `Condition` using `OR`.

### Methods inherited from interface org.springframework.data.relational.core.sql.UpdateBuilder.BuildUpdate

`build`

### Method Detail

#### and

    UpdateBuilder.UpdateWhereAndOr and(Condition condition)

Combine the previous `WHERE` `Condition` using `AND`.

Parameters:
  `condition` - the condition, must not be null.
Returns:
  `this` builder.
See Also:
  `Condition.and(Condition)`

#### or

    UpdateBuilder.UpdateWhereAndOr or(Condition condition)

Combine the previous `WHERE` `Condition` using `OR`.

Parameters:
  `condition` - the condition, must not be null.
Returns:
  `this` builder.
See Also:
  `Condition.or(Condition)`